UbixOS V2 2.0

Data Fields
tty_termNode Struct Reference

`#include <tty.h>`

Collaboration diagram for tty_termNode:

## Data Fields
pidType | owner
char | stdin [512]
int | stdinSize
char * | tty_buffer
uint8_t | tty_colour
char * | tty_pointer
uint16_t | tty_x
uint16_t | tty_y

## Detailed Description

Definition at line 36 of file tty.h.

## Field Documentation

## ◆ owner

pidType tty_termNode::owner

Definition at line 42 of file tty.h.

Referenced by execFile(), fork_copyProcess(), and sys_fork().

## ◆ stdin

char tty_termNode::stdin[512]

Definition at line 43 of file tty.h.

## ◆ stdinSize

int tty_termNode::stdinSize

Definition at line 44 of file tty.h.

## ◆ tty_buffer

char* tty_termNode::tty_buffer

Definition at line 37 of file tty.h.

Referenced by tty_change().

## ◆ tty_colour

uint8_t tty_termNode::tty_colour

Definition at line 39 of file tty.h.

## ◆ tty_pointer

char* tty_termNode::tty_pointer

Definition at line 38 of file tty.h.

## ◆ tty_x

uint16_t tty_termNode::tty_x

Definition at line 40 of file tty.h.

## ◆ tty_y

uint16_t tty_termNode::tty_y

Definition at line 41 of file tty.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/ubixos/tty.h